from scrabble import is_word

def word_collapse(s):
    if len(s) == 0:
        return []
    elif is_word(s):
        i = 0
        while i < len(s):
            t = s[:i] + s[i+1:]
            chain = word_collapse(t)
            if chain is not None:
                return [s] + chain
            i += 1
        return None
    else:
        return None
